package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ColorLightPO;
import mhp.oee.po.gen.ColorLightPOExample;

public interface ColorLightPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table color_light
     *
     * @mbggenerated
     */
    int countByExample(ColorLightPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table color_light
     *
     * @mbggenerated
     */
    int deleteByExample(ColorLightPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table color_light
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table color_light
     *
     * @mbggenerated
     */
    int insert(ColorLightPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table color_light
     *
     * @mbggenerated
     */
    int insertSelective(ColorLightPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table color_light
     *
     * @mbggenerated
     */
    List<ColorLightPO> selectByExample(ColorLightPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table color_light
     *
     * @mbggenerated
     */
    ColorLightPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table color_light
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ColorLightPO record, @Param("example") ColorLightPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table color_light
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ColorLightPO record, @Param("example") ColorLightPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table color_light
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ColorLightPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table color_light
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ColorLightPO record);
}